Skip to main content
GET
List Customers

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1, the highest value is 99.

Required range: 1 <= x <= 99
email
string

Limit the customers to the ones that have this specific email address.

city
string

Limit the customers to the ones that are located in the specified city.

name
string

Filter customers by the name property.

segment_id
string

Filter customers by the segment ID.

Warning: Passing additional query parameter filters that are in conflict with the segment filters may return unexpected results.

created_at[before]
string<date-time>

Filter customers by date customer was created.

Example:

"2023-12-22T10:13:06.487Z"

created_at[after]
string<date-time>

Filter customers by date customer was created.

Example:

"2023-12-22T10:13:06.487Z"

updated_at[before]
string<date-time>

Filter customers by date customer was updated last time.

Example:

"2023-12-22T10:13:06.487Z"

updated_at[after]
string<date-time>

Filter customers by date customer was updated last time.

Example:

"2023-12-22T10:13:06.487Z"

order
enum<string>

This is a property that controls the sorting direction of the results. Sort the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
source_id,
-source_id
starting_after
string<date-time>

A cursor for pagination. This is a date-time value that defines your place in the list based on created_at property from the customer object. For instance, if you make a list request and receive 100 objects, ending with an object created at 2020-05-24T13:43:09.024Z, your subsequent call can include starting_after=2020-05-24T13:43:09.024Z in order to fetch the next page of the list.

Example:

"2023-12-22T10:13:06.487Z"

Response

200 - application/json

Returns a dictionary with customer objects. The customers are returned sorted by creation date, with the most recent customers appearing first.

Response body schema for GET v1/customers.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about customers in a dictionary.

data_ref
string
default:customers
required

Identifies the name of the attribute that contains the array of customer objects.

customers
Customer With Summary Loyalty Referrals · object[]
required

Contains array of customer objects.

total
integer
required

Total number of customers.

has_more
boolean

As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request (with a different end date filter) to get more records returned in the results.

Last modified on July 7, 2026